TaskGraphServlet (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class TaskGraphServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.hadoop.mapred.TaskGraphServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class TaskGraphServlet

extends javax.servlet.http.HttpServlet

The servlet that outputs svg graphics for map / reduce task statuses

See Also:
  Serialized Form

Field Summary
`static int` | `height` height of the graph w/o margins
`static int` | `width` height of the graph w/o margins
`static int` | `xmargin` margin space on x axis
`static int` | `ymargin` margin space on y axis

Constructor Summary
`TaskGraphServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    public static final int width

  height of the graph w/o margins

  See Also:
    Constant Field Values

### height

    public static final int height

  height of the graph w/o margins

  See Also:
    Constant Field Values

### ymargin

    public static final int ymargin

  margin space on y axis

  See Also:
    Constant Field Values

### xmargin

    public static final int xmargin

  margin space on x axis

  See Also:
    Constant Field Values

Constructor Detail

### TaskGraphServlet

    public TaskGraphServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation